<< filter2 | FOSSEE_Signal_Processing_Toolbox | filtfilt >>

FOSSEE_Signal_Processing_Toolbox >> FOSSEE_Signal_Processing_Toolbox > filternorm

# filternorm

Calculates the L-2 norm or L-infinity norm of a digital filter

### Syntax

    L = filternorm(b,a)
    L = filternorm(b,a,pnorm)
    L = filternorm(b,a,2,tol)

### Parameters

b:

  The filter numerator coefficients.

a:

  The filter denominator coefficients.

pnorm:

  The L-norm to be calculated. The values accepted are 2 (L2 norm) or %inf (L-infinity norm). Default value is 2.

tol:

  The tolerance of the L-2 norm to be calculated. If tol not specified, it defaults to 10^(-8). tol must be a positive scalar

### Examples

    // low-pass filter
    b = [0.1, 0.15, 0.5, 0.15, 0.1] // Symmetric FIR filter
    a = [1] // FIR => denominator is 1

    L = filternorm(b, a, %inf) // Maximum gain across all frequencies

### See also

- norm
- zp2sos — This function converts filter poles and zeros to second-order sections.

### Authors

- Ayush Baid

Report an issue
<< filter2 | FOSSEE_Signal_Processing_Toolbox | filtfilt >>